import { Authorized, Ctx, FieldResolver, Query, Resolver, Root, } from 'type-graphql'
import { User } from '../entities'


@Resolver(User)
class UserResolver {
  @Authorized()
  @Query(() => User)
  async me(@Ctx() { user }: { user?: { uid: string } }) {
    return user
  }

  @FieldResolver(() => String)
  fullName(@Root() user: User) {
    return `${user.firstName} ${user.lastName}`
  }
}

export default UserResolver
